<?php


return  
    [
        'model' => [
            'model' => \Realestate\Neighbourhood\Models\Neighbourhood::class,
            'table' => 'realestate_neighbourhood_neighbourhoods',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['title',  'content',  'description',  'latitude',  'longitude',  'total_population',  'median_age',  'population_density',  'population_description',  'average_individual_iincome',  'household_description',  'total_households',  'average_household_size',  'average_individual_income',  'household_with_children',  'married',  'single',  'divorced',  'separated',  'school_data',  'men_vs_women',  'around_description',  'walkable',  'bikeable',  'transit',  'points_of_interest',  'images',  'status',  'user_id',  'country_id',  'state_id',  'city_id'],
            'translatables' => [],
            'upload_folder' => 'neighbourhood/neighbourhood',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "content", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.content', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "latitude", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.latitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "longitude", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.longitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total_population", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.total_population', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "median_age", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.median_age', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "population_density", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.population_density', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "population_description", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.population_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "average_individual_iincome", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.average_individual_iincome', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "household_description", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.household_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total_households", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.total_households', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "average_household_size", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.average_household_size', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "average_individual_income", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.average_individual_income', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "household_with_children", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.household_with_children', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "married", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.married', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "single", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.single', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "divorced", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.divorced', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "separated", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.separated', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "school_data", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.school_data', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "men_vs_women", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.men_vs_women', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "around_description", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.around_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "walkable", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.walkable', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bikeable", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.bikeable', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "transit", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.transit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "points_of_interest", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.points_of_interest', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state_id", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.state_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "city_id", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.city_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "marking", 
                "type" => "text", 
                "label" => 'neighbourhood::neighbourhood.label.marking', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.title',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.title',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'content',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.content',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.content',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.description',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'latitude',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.latitude',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.latitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'longitude',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.longitude',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.longitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total_population',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.total_population',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.total_population',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'median_age',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.median_age',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.median_age',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'population_density',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.population_density',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.population_density',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'population_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.population_description',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.population_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'average_individual_iincome',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.average_individual_iincome',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.average_individual_iincome',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'household_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.household_description',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.household_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total_households',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.total_households',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.total_households',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'average_household_size',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.average_household_size',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.average_household_size',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'average_individual_income',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.average_individual_income',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.average_individual_income',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'household_with_children',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.household_with_children',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.household_with_children',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'married',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.married',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.married',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'single',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.single',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.single',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'divorced',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.divorced',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.divorced',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'separated',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.separated',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.separated',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'school_data',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.school_data',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.school_data',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'men_vs_women',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'neighbourhood::neighbourhood.label.men_vs_women',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.men_vs_women',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'around_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.around_description',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.around_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'walkable',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.walkable',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.walkable',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bikeable',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.bikeable',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.bikeable',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'transit',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.transit',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.transit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'points_of_interest',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.points_of_interest',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.points_of_interest',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::neighbourhood.label.images',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.images',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'neighbourhood::neighbourhood.label.country_id',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'neighbourhood::neighbourhood.label.state_id',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.state_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'city_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'neighbourhood::neighbourhood.label.city_id',
                "placeholder" => 'neighbourhood::neighbourhood.placeholder.city_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'neighbourhood/neighbourhood/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'neighbourhood/neighbourhood/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'neighbourhood/neighbourhood',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'neighbourhood/neighbourhood',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'neighbourhood/neighbourhood',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'neighbourhood/neighbourhood',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'neighbourhood::neighbourhood.label.created_at',
            'name' => 'neighbourhood::neighbourhood.label.name',
            'status' => 'neighbourhood::neighbourhood.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "neighbourhood::neighbourhood.groups.main",
                'group' => "main.main",
                'title' => "neighbourhood::neighbourhood.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "neighbourhood::neighbourhood.groups.details",
                'group' => "main.details",
                'title' => "neighbourhood::neighbourhood.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "neighbourhood::neighbourhood.groups.images",
                'group' => "main.images",
                'title' => "neighbourhood::neighbourhood.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "neighbourhood::neighbourhood.groups.settings",
                'group' => "main.settings",
                'title' => "neighbourhood::neighbourhood.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Realestate',
            'package' => 'Neighbourhood',
            'module' => 'Neighbourhood',
        ],

        
        
    ];
