<?php


return  
    [
        'model' => [
            'model' => \Realestate\Neighbourhood\Models\Sections::class,
            'table' => 'realestate_neighbourhood_sections',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'title',  'description',  'content_type',  'include_tab',  'no_of_tabs',  'content',  'status',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'neighbourhood/sections',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            "name" => [
                "key" => "name", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.name', 
                "placeholder" => 'neighbourhood::sections.placeholder.name', 
            ],
            "title" => [
                "key" => "title", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.title', 
                "placeholder" => 'neighbourhood::sections.placeholder.title', 
            ],
            "description" => [
                "key" => "description", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.description', 
                "placeholder" => 'neighbourhood::sections.placeholder.description', 
            ],
            "content_type" => [
                "key" => "content_type", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.content_type', 
                "placeholder" => 'neighbourhood::sections.placeholder.content_type', 
            ],
            "content" => [
                "key" => "content", 
                "col" => 4, 
                "operators" => ['LIKE', '=', 'IN', 'BETWEEN'], 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.content', 
                "placeholder" => 'neighbourhood::sections.placeholder.content', 
            ],
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "content_type", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.content_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "include_tab", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.include_tab', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "no_of_tabs", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.no_of_tabs', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "content", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.content', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "status", 
                "type" => "text", 
                "label" => 'neighbourhood::sections.label.status', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.name',
                "placeholder" => 'neighbourhood::sections.placeholder.name',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.title',
                "placeholder" => 'neighbourhood::sections.placeholder.title',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.description',
                "placeholder" => 'neighbourhood::sections.placeholder.description',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'content_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.content_type',
                "placeholder" => 'neighbourhood::sections.placeholder.content_type',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'include_tab',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.include_tab',
                "placeholder" => 'neighbourhood::sections.placeholder.include_tab',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'no_of_tabs',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.no_of_tabs',
                "placeholder" => 'neighbourhood::sections.placeholder.no_of_tabs',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'content',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.content',
                "placeholder" => 'neighbourhood::sections.placeholder.content',
                "required" => 'true',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'status',
                "element" => 'text',
                "type" => 'text',
                "label" => 'neighbourhood::sections.label.status',
                "placeholder" => 'neighbourhood::sections.placeholder.status',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'neighbourhood/sections/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'neighbourhood/sections/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'neighbourhood/sections',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'neighbourhood/sections',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'neighbourhood/sections',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'neighbourhood/sections',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'neighbourhood::sections.label.created_at',
            'name' => 'neighbourhood::sections.label.name',
            'status' => 'neighbourhood::sections.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "neighbourhood::sections.groups.main",
                'group' => "main.main",
                'title' => "neighbourhood::sections.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "neighbourhood::sections.groups.details",
                'group' => "main.details",
                'title' => "neighbourhood::sections.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "neighbourhood::sections.groups.images",
                'group' => "main.images",
                'title' => "neighbourhood::sections.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "neighbourhood::sections.groups.settings",
                'group' => "main.settings",
                'title' => "neighbourhood::sections.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Realestate',
            'package' => 'Neighbourhood',
            'module' => 'Sections',
        ],

        
        
    ];
