<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRealestateNeighbourhoodNeighbourhoodsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: realestate_neighbourhood_neighbourhoods
         */
        Schema::create('realestate_neighbourhood_neighbourhoods', function ($table) {
            $table->increments('id');
            $table->string('title', 55)->nullable();
            $table->text('content')->nullable();
            $table->text('description')->nullable();
            $table->decimal('latitude', 10,8)->nullable();
            $table->decimal('longitude', 11,8)->nullable();
            $table->string('total_population', 8)->nullable();
            $table->string('median_age', 10)->nullable();
            $table->string('population_density', 8)->nullable();
            $table->text('population_description')->nullable();
            $table->double('average_individual_iincome', 8,2)->nullable();
            $table->text('household_description')->nullable();
            $table->string('total_households', 10)->nullable();
            $table->string('average_household_size', 10)->nullable();
            $table->double('average_individual_income', 8,2)->nullable();
            $table->double('household_with_children', 8,2)->nullable();
            $table->double('married', 8,2)->nullable();
            $table->double('single', 8,2)->nullable();
            $table->double('divorced', 8,2)->nullable();
            $table->double('separated', 8,2)->nullable();
            $table->double('school_data', 8,2)->nullable();
            $table->double('men_vs_women', 22,2)->nullable();
            $table->text('around_description')->nullable();
            $table->text('walkable')->nullable();
            $table->text('bikeable')->nullable();
            $table->text('transit')->nullable();
            $table->text('points_of_interest')->nullable();
            $table->text('images')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->string('slug', 60)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('realestate_neighbourhood_neighbourhoods');
    }
}
