<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRealestateNeighbourhoodSectionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: realestate_neighbourhood_sections
         */
        Schema::create('realestate_neighbourhood_sections', function ($table) {
            $table->increments('id');
            $table->string('name', 20)->nullable();
            $table->text('title')->nullable();
            $table->text('description')->nullable();
            $table->enum('content_type', ['Yes', 'No'])->nullable();
            $table->enum('include_tab', ['Yes', 'No'])->nullable();
            $table->integer('no_of_tabs')->nullable();
            $table->text('content')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('slug', 60)->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('realestate_neighbourhood_sections');
    }
}
