<?php

namespace Realestate\Neighbourhood\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class NeighbourhoodTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('realestate_neighbourhood_neighbourhoods')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'realestate.neighbourhood.neighbourhood.view',
                'name'      => 'View Neighbourhood',
            ],
            [
                'slug'      => 'realestate.neighbourhood.neighbourhood.create',
                'name'      => 'Create Neighbourhood',
            ],
            [
                'slug'      => 'realestate.neighbourhood.neighbourhood.edit',
                'name'      => 'Update Neighbourhood',
            ],
            [
                'slug'      => 'realestate.neighbourhood.neighbourhood.delete',
                'name'      => 'Delete Neighbourhood',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/neighbourhood/neighbourhood',
                'name'        => 'Neighbourhood',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/neighbourhood/neighbourhood',
                'name'        => 'Neighbourhood',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'neighbourhood',
                'name'        => 'Neighbourhood',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Neighbourhood',
                'module'    => 'Neighbourhood',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'realestate.neighbourhood.neighbourhood.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
