<?php

namespace Realestate\Neighbourhood\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class SectionsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('realestate_neighbourhood_sections')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'realestate.neighbourhood.sections.view',
                'name'      => 'View Sections',
            ],
            [
                'slug'      => 'realestate.neighbourhood.sections.create',
                'name'      => 'Create Sections',
            ],
            [
                'slug'      => 'realestate.neighbourhood.sections.edit',
                'name'      => 'Update Sections',
            ],
            [
                'slug'      => 'realestate.neighbourhood.sections.delete',
                'name'      => 'Delete Sections',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/neighbourhood/sections',
                'name'        => 'Sections',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/neighbourhood/sections',
                'name'        => 'Sections',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'sections',
                'name'        => 'Sections',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Neighbourhood',
                'module'    => 'Sections',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'realestate.neighbourhood.sections.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
