<?php

namespace Realestate\Neighbourhood\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Realestate\Neighbourhood\Models\Sections;


class SectionsAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'realestate.neighbourhood.sections';
    protected $eventClass = \Realestate\Neighbourhood\Events\SectionsAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, Sections $sections, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $sections;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(Sections $sections, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $sections = $sections->create($attributes);
        return $sections;
    }

    public function update(Sections $sections, array $request)
    {
        $attributes = $request;
        $sections->update($attributes);
        return $sections;
    }

    public function destroy(Sections $sections, array $request)
    {
        $sections->delete();
        return $sections;
    }

    public function copy(Sections $sections, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $sections = $sections->replicate();
            $sections->created_at = Carbon::now();
            $sections->save();
            return $sections;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $sections->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $sections;
    }


}
