<?php

namespace Realestate\Neighbourhood\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Neighbourhood policy
        \Realestate\Neighbourhood\Models\Neighbourhood::class 
        => \Realestate\Neighbourhood\Policies\NeighbourhoodPolicy::class,// Bind Sections policy
        \Realestate\Neighbourhood\Models\Sections::class 
        => \Realestate\Neighbourhood\Policies\SectionsPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
